﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using JsDrawControl;
using JsControlLibrary;

namespace JsDraw
{
    public partial class DesignPanel : JsControlLibrary.JscPanel
    {
        public DesignPanel()
        {
            InitializeComponent();
        }

        //=====================================================================
        /// <summary>
        /// DrawView コントロールプロパティ
        /// </summary>
        public JsDrawView Drawview
        {
            get { return this.drawView; }
        }

        //=====================================================================
        /// <summary>
        /// ファイル名プロパティ
        /// </summary>
        public string FileName { get; set; }

        //=====================================================================
        /// <summary>
        /// フォーマットタイププロパティ
        /// </summary>
        public FormatType FormatType { get; set; }

        //=====================================================================
        /// <summary>
        /// 描画アイテム変更イベントを処理します。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void drawView_DrawItemChanged(object sender, DrawItemChangedEventArgs e)
        {
            if (this.IsChanged == false)
                this.IsChanged = true;
        }

        //=====================================================================
        /// <summary>
        /// 描画アイテムオーダー変更イベントを処理します。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void drawView_DrawItemChangeOrder(object sender, DrawItemChangeOrderEventArgs e)
        {
            if (this.IsChanged == false)
                this.IsChanged = true;
        }

        //=====================================================================
        /// <summary>
        /// 描画アイテム追加イベントを処理します。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void drawView_DrawItemInsert(object sender, DrawItemInsertEventArgs e)
        {
            if (this.IsChanged == false)
                this.IsChanged = true;
        }

        //=====================================================================
        /// <summary>
        /// 描画アイテムリムーブイベントを処理します。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void drawView_DrawItemRemove(object sender, DrawItemRemoveEventArgs e)
        {
            if (this.IsChanged == false)
                this.IsChanged = true;
        }

        //=====================================================================
        /// <summary>
        /// パネル変更イベントを処理します。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void drawView_PanelItemChanged(object sender, PanelChangedEventArgs e)
        {
            if (this.IsChanged == false)
                this.IsChanged = true;
        }
    }
}
