﻿using System;
using System.Collections.Generic;
using System.Text;

namespace JsDraw
{
    //=====================================================================
    /// <summary>
    /// メッセージクラスライブラリメッセージクラス
    /// </summary>
    internal class MessageDef
    {
        //########################################
        //      001:MainForm
        //########################################
        public const string E001001 =
            "保存に失敗しました。\n{0}";
        public const string E001002 =
            "読み込みに失敗しました。\n{0}";
        public const string E001003 =
            "指定されたファイルが存在しません。\n{0}";
        public const string I001001 =
            "{0} の内容が変更されていますが保存しますか？";
        public const string I001002 =
            "読み込んだファイルは形式が古いです。最新形式に変換しますか？\n※J.S パズル用のデータを作成する場合には変換しないでください。";
        
        #region メッセージ取得メソッド
        //=====================================================================
        /// <summary>
        /// メッセージ取得処理
        /// </summary>
        /// <param name="message">メッセージ文字列</param>
        /// <param name="param">パラメータリスト</param>
        /// <returns>メッセージ文字列</returns>
        static public string GetMessage(string message, params object[] param)
        {
            string rtnMsg = message;

            try
            {
                if (param == null || param.Length == 0)
                {
                    // パラメータが存在しない場合
                    rtnMsg = message;
                }
                else
                {
                    // パラメータを設定する
                    rtnMsg = string.Format(message, param);
                }
            }

            // --------------------------------------------< 例外処理 >
            catch (Exception ex)
            {
                // 例外発生時はメッセージのみ設定
                System.Diagnostics.Debug.WriteLine("メッセージフォーマットエラー ex[" + ex.Message + "]");
                rtnMsg = message;
            }
            return rtnMsg;
        }
        #endregion
    }
}
